# Uses of Class
com.logicaldoc.core.document.DocumentAccessControlEntry

Packages that use DocumentAccessControlEntry
Package
Description
com.logicaldoc.core.document
Contains the definitions of `Document` and `Version` as well as other related objects

## Uses of DocumentAccessControlEntry in com.logicaldoc.core.document

Methods in com.logicaldoc.core.document that return DocumentAccessControlEntry
Modifier and Type
Method
Description
`DocumentAccessControlEntry`
Document.`getAccessControlEntry(long groupId)`
Methods in com.logicaldoc.core.document that return types with arguments of type DocumentAccessControlEntry
Modifier and Type
Method
Description
`Set<DocumentAccessControlEntry>`
Document.`getAccessControlEntries(Set<Long> groupIds)`
`Set<DocumentAccessControlEntry>`
Document.`getAccessControlList()`
Methods in com.logicaldoc.core.document with parameters of type DocumentAccessControlEntry
Modifier and Type
Method
Description
`void`
Document.`addAccessControlEntry(DocumentAccessControlEntry ace)`
Method parameters in com.logicaldoc.core.document with type arguments of type DocumentAccessControlEntry
Modifier and Type
Method
Description
`void`
Document.`setAccessControlList(Set<DocumentAccessControlEntry> accessControlList)`
Constructors in com.logicaldoc.core.document with parameters of type DocumentAccessControlEntry
Modifier
Constructor
Description
``
`DocumentAccessControlEntry(DocumentAccessControlEntry source)`